ALTER TABLE REZERVAC
ADD NEXT_PORT VARCHAR2(50 CHAR);

ALTER TABLE DOGODKI
ADD NEXT_PORT VARCHAR2(50 CHAR);

ALTER TABLE PLOVILA
ADD NEXT_PORT VARCHAR2(50 CHAR);

DROP VIEW V_DOGODKI;

CREATE OR REPLACE VIEW V_DOGODKI AS (
  SELECT D.ID, D.ID_LASTNIKA, D.ID_PLOVILA, D.DATUM_ZACETKA, D.KATEGORIJA_DOGODKA, D.LAST_PORT, D.NEXT_PORT, D.OBJEKT, D.N_PRIVEZA, D.STORITEV, D.N_POGODBE, D.PREDVIDENI_DATUM_KONCA, D.DATUM_KONCA, 
  D.DATUM_KREIRANJA, D.USER_KREIRANJA, D.DATUM_SPREMEMBE, D.USER_SPREMEMBE, D.ID_RFID_DATA, D.DAILY, D.ID_PRIVEZ_FROM, D.ID_PRIVEZ, D.ACTIVE,
  ND.OPIS AS NDOGODEK_OPIS, ND.INTERNI_OPIS AS NDOGODEK_INTERNI_OPIS,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME, P.POGODBENA_N_PRIVEZA, VP.NNLOCATION_ID AS NNLOCATION_ID, 
  (CASE WHEN D.ID_PRIVEZ IS NOT NULL THEN NP.OBJEKT ELSE D.OBJEKT END) AS NNPRIVEZ_OBJEKT, (CASE WHEN D.ID_PRIVEZ IS NOT NULL THEN NP.N_PRIVEZA ELSE D.N_PRIVEZA END) AS NNPRIVEZ_PRIVEZ,
  NP_FROM.OBJEKT AS NNPRIVEZ_FROM_OBJEKT, NP_FROM.N_PRIVEZA AS NNPRIVEZ_FROM_PRIVEZ, VP_FROM.NNLOCATION_ID AS NNLOCATION_ID_FROM,
  (CASE WHEN (SELECT COUNT(DD.ID_DOGODKI_DETAIL) FROM DOGODKI_DETAIL DD WHERE DD.ID_DOGODKA = D.ID) = 0 THEN (CASE WHEN D.ID_PRIVEZ IS NOT NULL THEN NP.N_PRIVEZA ELSE D.N_PRIVEZA END) ELSE 
  (SELECT LISTAGG(NP.N_PRIVEZA,', ') WITHIN GROUP(ORDER BY DD.ID_DOGODKI_DETAIL ASC) BERTHS FROM DOGODKI_DETAIL DD, NNPRIVEZ NP WHERE DD.ID_PRIVEZ = NP.ID_PRIVEZ AND DD.ID_DOGODKA = D.ID)
  END) AS BERTHS
	FROM DOGODKI D
  LEFT OUTER JOIN NDOGODEK ND ON ND.NDOGODEK = D.KATEGORIJA_DOGODKA
  LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID_PLOVILA
  LEFT OUTER JOIN V_PRIVEZ_LOCATION VP ON VP.ID_PRIVEZ = D.ID_PRIVEZ
  LEFT OUTER JOIN V_PRIVEZ_LOCATION VP_FROM ON VP_FROM.ID_PRIVEZ = D.ID_PRIVEZ_FROM
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = D.ID_PRIVEZ
  LEFT OUTER JOIN NNPRIVEZ NP_FROM ON NP_FROM.ID_PRIVEZ = D.ID_PRIVEZ_FROM
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1571, SYSDATE, '5.5', 1491, 'Next port')
;
