create table M_STOMAR_LINK 
(
   ID_STOMAR_LINK       NUMBER               not null,
   SIFRA                VARCHAR2(6 CHAR)     not null,
   KOLICINA             NUMBER(18,4)         not null,
   GEN_INSTR            VARCHAR2(5 CHAR),
   constraint PK_M_STOMAR_LINK primary key (ID_STOMAR_LINK)
);

comment on table M_STOMAR_LINK is
'Linked services';

create table M_STOMAR_VIRI 
(
   ID_STOMAR_VIRI       NUMBER               not null,
   SIFRA                VARCHAR2(6 CHAR)     not null,
   VRSTA                VARCHAR2(4 CHAR)     not null,
   URE                  NUMBER(18,4),
   constraint PK_M_STOMAR_VIRI primary key (ID_STOMAR_VIRI)
);

create table SERVIS_PLAN 
(
   ID_SERVIS_PLAN       NUMBER               not null,
   ID_SERVIS_VIRI       NUMBER               not null,
   DATUM                DATE                 not null,
   URA_OD               DATE                 not null,
   URE                  NUMBER(18,4)         not null,
   URA_DO               DATE                 not null,
   DELAVEC              VARCHAR2(10 CHAR),
   DVIGALO              VARCHAR2(10 CHAR),
   constraint PK_SERVIS_PLAN primary key (ID_SERVIS_PLAN)
);

create table SERVIS_VIRI 
(
   ID_SERVIS_VIRI       NUMBER               not null,
   ID_STORITVE          NUMBER               not null,
   DELAVEC              VARCHAR2(10 CHAR),
   DVIGALO              VARCHAR2(10 CHAR),
   VRSTA                VARCHAR2(1 CHAR)     not null,
   URE                  NUMBER(18,4)         not null,
   DATUM                DATE                 not null,
   KOMENTAR             VARCHAR2(200 CHAR),
   constraint PK_SERVIS_VIRI primary key (ID_SERVIS_VIRI)
);

create table VIRI_VRSTE 
(
   SIFRA                VARCHAR2(4 CHAR)     not null,
   OPIS                 VARCHAR2(100 CHAR)   not null,
   INTERNI_OPIS         VARCHAR2(100 CHAR)   not null,
   constraint PK_VIRI_VRSTE primary key (SIFRA)
);

CREATE TABLE INTERFACE_SERVICES_TAX (
  ID_ITF_SERV_TAX NUMBER NOT NULL,
  ID_INTERFACE_SERVICES NUMBER NOT NULL,
  TAX_TYPE VARCHAR2(10 CHAR) NOT NULL,
  TAX_RATE NUMBER NOT NULL,
  TAX_NETO NUMBER NOT NULL,
  TAX_AMOUNT NUMBER NOT NULL,
  constraint PK_ITF_SERV_TAX primary key (ID_ITF_SERV_TAX)
);

CREATE SEQUENCE ID_ITF_SERV_TAX START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER ID_ITF_SERV_TAX_autoinc
BEFORE INSERT
ON INTERFACE_SERVICES_TAX
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
SELECT ID_ITF_SERV_TAX.nextval INTO :NEW.ID_ITF_SERV_TAX FROM dual;;
END;;
;

CREATE TABLE M_STORITVE_DAVEK (
  ID_M_STORITVE_DAVEK NUMBER NOT NULL,
  ID_STORITVE NUMBER NOT NULL,
  VRSTA VARCHAR2(10 CHAR) NOT NULL,
  STOPNJA NUMBER NOT NULL,
  ZNESEK_OSNOVE NUMBER NOT NULL,
  ZNESEK_DAVKA NUMBER NOT NULL,
  constraint PK_M_STORITVE_DAVEK primary key (ID_M_STORITVE_DAVEK)
);

CREATE SEQUENCE M_STORITVE_DAVEK_SEQ START WITH 1 INCREMENT BY 1;

INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE)
VALUES
('M_STORITVE_DAVEK', 'ID_M_STORITVE_DAVEK', 'M_STORITVE_DAVEK_SEQ', 'S_KLJUCI');


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (257, SYSDATE, '5.5', 177, 'fiskalizacija in planiranje');
