-- Tipi virov.

CREATE TABLE SC_RESTYPE (
  ID INTEGER NOT NULL,
  NAME VARCHAR2(250) NOT NULL
);

ALTER TABLE SC_RESTYPE ADD CONSTRAINT SC_RESTYPE_PK PRIMARY KEY (ID);

ALTER TABLE SC_RESTYPE ADD CONSTRAINT SC_RESTYPE_U1 UNIQUE (NAME);

INSERT INTO SC_RESTYPE (ID, NAME) VALUES (1, 'Room');

INSERT INTO SC_RESTYPE (ID, NAME) VALUES (2, 'Boat');

INSERT INTO SC_RESTYPE (ID, NAME) VALUES (3, 'Instructor');

INSERT INTO SC_RESTYPE (ID, NAME) VALUES (4, 'Participant');

CREATE SEQUENCE SC_RESTYPE_SEQ START WITH 5;

-- Lastnosti tipov virov (master) - uporabnik lahko definira lastnosti tipov virov, npr. tip barke, trainer capabilities

CREATE TABLE SC_RTPROP (
  ID INTEGER NOT NULL,
  NAME VARCHAR2(250) NOT NULL,
  EXCLUSIVEONLY VARCHAR2(1) NOT NULL,
  SC_RESTYPE_ID INTEGER NOT NULL
);

ALTER TABLE SC_RTPROP ADD CONSTRAINT SC_RTPROP_PK PRIMARY KEY (ID);

ALTER TABLE SC_RTPROP ADD CONSTRAINT SC_RTPROP_U1 UNIQUE (SC_RESTYPE_ID, NAME);

ALTER TABLE SC_RTPROP ADD CONSTRAINT SC_RTPROP_RESTYPE_FK FOREIGN KEY (SC_RESTYPE_ID) REFERENCES SC_RESTYPE (ID);

INSERT INTO SC_RTPROP (ID, NAME, EXCLUSIVEONLY, SC_RESTYPE_ID) VALUES (1, 'Boat type', 'T', 2);

INSERT INTO SC_RTPROP (ID, NAME, EXCLUSIVEONLY, SC_RESTYPE_ID) VALUES (2, 'Instructor certificate', 'F', 3);

CREATE SEQUENCE SC_RTPROP_SEQ START WITH 3;

-- Lastnosti tipov virov - detail

CREATE TABLE SC_RTPDET (
  ID INTEGER NOT NULL,
  NAME VARCHAR2(250) NOT NULL,
  SC_RTPROP_ID INTEGER NOT NULL,
  SC_RTPDETDEP_ID INTEGER
);

ALTER TABLE SC_RTPDET ADD CONSTRAINT SC_RTPDET_PK PRIMARY KEY (ID);

ALTER TABLE SC_RTPDET ADD CONSTRAINT SC_RTPDET_U1 UNIQUE (SC_RTPROP_ID, NAME);

ALTER TABLE SC_RTPDET ADD CONSTRAINT SC_RTPDET_RTPROP_FK FOREIGN KEY (SC_RTPROP_ID) REFERENCES SC_RTPROP (ID);

ALTER TABLE SC_RTPDET ADD CONSTRAINT SC_RTPDET_RTPDET_FK FOREIGN KEY (SC_RTPDETDEP_ID) REFERENCES SC_RTPDET (ID);

-- Boat types
INSERT INTO SC_RTPDET (ID, NAME, SC_RTPROP_ID) VALUES (1, 'Dhingy', 1);
INSERT INTO SC_RTPDET (ID, NAME, SC_RTPROP_ID) VALUES (2, 'Laser', 1);
INSERT INTO SC_RTPDET (ID, NAME, SC_RTPROP_ID) VALUES (3, 'Optimist', 1);

-- Instructor certificates, connected to boat type properties
INSERT INTO SC_RTPDET (ID, NAME, SC_RTPROP_ID, SC_RTPDETDEP_ID) VALUES (4, 'Laser instructor certificate', 2, 2);
INSERT INTO SC_RTPDET (ID, NAME, SC_RTPROP_ID, SC_RTPDETDEP_ID) VALUES (5, 'Optimist instructor certificate', 2, 3);

CREATE SEQUENCE SC_RTPDET_SEQ START WITH 6;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(451, SYSDATE, '5.5', 371, 'Sailing Training Centre');