ALTER TABLE KUPCIBELEZKE
ADD SUBTYPE NUMBER;

CREATE TABLE NKUPCIBELEZKE_SUBTYPE (
	ID NUMBER NOT NULL,
    TYPE NUMBER NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NKUPCIBELEZKE_SUBTYPE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NKUPCIBELEZKE_SUBTYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE PLOVILABELEZKE
ADD SUBTYPE NUMBER;

CREATE TABLE NPLOVILABELEZKE_SUBTYPE (
	ID NUMBER NOT NULL,
    TYPE NUMBER NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NPLOVILABELEZKE_SUBTYPE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NPLOVILABELEZKE_SUBTYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;


CREATE OR REPLACE VIEW V_KUPCIBELEZKE AS (
SELECT KB.ID_KPBELEZKE, KB.IDKUPCA, KB.DATUMKREIRANJA, KB.USERKREIRANJA, KB.BELEZKA, KB.VELJAVNA, KB.TYPE, KB.SUBTYPE,
KBT.OPIS AS BELEZKE_TYPE_OPIS, KBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS, KBS.OPIS AS BELEZKE_SUBTYPE_OPIS, KBS.INTERNI_OPIS AS BELEZKE_SUBTYPE_INTERNI_OPIS,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM KUPCIBELEZKE KB
LEFT OUTER JOIN NKUPCIBELEZKE_TYPE KBT ON KBT.ID = KB.TYPE
LEFT OUTER JOIN NKUPCIBELEZKE_SUBTYPE KBS ON KBS.ID = KB.SUBTYPE
LEFT OUTER JOIN KUPCI K ON K.ID = KB.IDKUPCA
);

CREATE OR REPLACE VIEW V_PLOVILABELEZKE AS (
SELECT PB.ID_PLBELEZKE, PB.IDPLOVILA, PB.DATUMKREIRANJA, PB.USERKREIRANJA, PB.BELEZKA, PB.VELJAVNA, PB.TYPE, PB.SUBTYPE,
PBT.OPIS AS BELEZKE_TYPE_OPIS, PBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS, PBS.OPIS AS BELEZKE_SUBTYPE_OPIS, PBS.INTERNI_OPIS AS BELEZKE_SUBTYPE_INTERNI_OPIS, 
PL.IME AS PLOVILA_IME, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM PLOVILABELEZKE PB
LEFT OUTER JOIN NPLOVILABELEZKE_TYPE PBT ON PBT.ID = PB.TYPE
LEFT OUTER JOIN NPLOVILABELEZKE_SUBTYPE PBS ON PBS.ID = PB.SUBTYPE
LEFT OUTER JOIN PLOVILA PL ON PL.ID = PB.IDPLOVILA
LEFT OUTER JOIN KUPCI K ON K.ID = PL.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (986, SYSDATE, '5.5', 906, 'Belezke subtype');